<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{114,104,1042,598}</property>
    <property name="Name">[_mvfor.scr]</property>
    <property name="Caption">[]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
//skel VARIAVEL zSePvluClosed=Select("SE_PVLU")=0.and.(_mvfor->(ABRA("0NOIDX",r_siga,"SE_PVLU","SE_PVLU","SE_PVLU","str(pcod,6)+dtos(mdata)")),.t.)
//skel VARIAVEL zFornClosed=Select("SCCPFOR")=0.and.(_mvfor->(ABRA("0NOIDX",r_siga,"sccpfor","sccpfor")),.t.)
//skel VARIAVEL zBlkForn := {|nForn| sccpfor->(dbgoto(nForn),if(empty(cp_fantasi),cp_nome,cp_fantasi)) }
//skel VARIAVEL zbPrMedio := {|| if(mQuant>0, mValor/mQuant, 0) }

//skel VARIAVEL zbPrtConferente = #TEXTO_FONTE
//skel    Private zPfFor:=_mvfor->mCodForC, zPfNum:=_mvfornf->mFnum, zFgOk:=.f., z_Sele:=Select(), z_recno:=Recno()
//skel    // Abra ("0NOIDX", r_siga, "Sf_FatF", "Sf_FatNF", "Sf_FatF", "PFNUM")
//skel    alert( "vai mostrar forn="+hb_Valtoexp(zPfFor)+" nota="+hb_Valtoexp(zpfnum) )
//skel    DbSelectArea("sf_fatf")
//skel    DbSeek(zPfNum)
//skel    WHILE zPfNum=PfNum .and. .not. eof().and..not.zFgOk
//skel       if .not. (zFgOk := (PfFor=zPfFor))
//skel          dbskip()
//skel       endif
//skel    ENDDO
//skel    Relat('lst_exec("NFE05")',"nb",,"X")
//skel    eVal(zBOpenAll)
//skel #FIM_TEXTO_FONTE

//skel comando saida znil=zFornClosed.and.(sccpfor->(DbCloseArea()),.t.)
//skel comando saida znil=zSePvluClosed.and.(se_pvlu->(DbCloseArea()),.t.)

oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,64,64)
hwg_TbMt(oToolbar,' 22;tb_insert(D_OB);Ins-Inclui ;Ins-Inclui;cadastrar.ico;;;;;Inclui;;;')
hwg_TbMt(oToolbar,' 65;tb_update(D_OB);A-Altera ;A-Altera;alterar.ico;;;;;&A-Altera;;;')
hwg_TbMt(oToolbar,'  7;tb_del(D_ob);DEL-DELeta ;DEL-Deleta;deletar.ico;;;;;Deleta;;;')
d_ob:lEditable = .t.
hwg_TbMt(oToolbar,' 80;tb_pesq(D_OB);P-Pesquisa ;P-Pesquisa na coluna do cursor;pesquisa.ico;;;;;&P-Pesquisa;;;')
d_ob:lEditable = .t.
hwg_TbMt(oToolbar,' 79;tb_index(D_OB);O-Ordena ;O-Ordena a coluna do cursor;ordenar.ico;;;;;&O-Ordena;;;')
hwg_TbMt(oToolbar,' 73;eVal(zbPrtConferente);I-Imprime ;I-Imprime;impressora.ico;;;;;&I-Imprime;;;')

hwg_Btn(oToolbar,10,544,70,24)
hwg_TbMt(oToolbar,' 32;tb_cons();Barra-Exibe ;Barra-Exibe;sembitmap;;;Lucida Bright;-11;Exibe;;6;')
hwg_TbMt(oToolbar,' 13;doget(D_ob);Enter-Edita ;Enter - Edita;sembitmap;;;Lucida Bright;-11;Edita;;6;')
hwg_TbMt(oToolbar,' 61;doget(D_ob,,.t.);=-Repete_Edicao ;= - Repete_Edicao;sembitmap;;;Lucida Bright;-11;&=-Repete_Edicao;;6;')
hwg_TbMt(oToolbar,' 84;tb_locate(D_oB);T-Busca_Trecho ;T-Pesquisa Trecho na coluna do cursor;sembitmap;;;Lucida Bright;-11;&T-Trecho;;6;')
hwg_TbMt(oToolbar,' 76;tb_locate(D_oB);L-Busca_Iniciais ;L-Busca pelas Iniciais na coluna do cursor;sembitmap;;;Lucida Bright;-11;&L-Iniciais;;6;')
hwg_TbMt(oToolbar,' 67;tb_locate(D_oB);C-Repete_Busca ;C-Repete Busca na coluna do cursor;sembitmap;;;Lucida Bright;-11;&C-Continua;;6;')
hwg_TbMt(oToolbar,' 70;tb_filter(d_ob);F-Filtra ;F-Filtra Cursor;sembitmap;;;Lucida Bright;-11;&F-Filtra;;6;')
hwg_TbMt(oToolbar,' 69;tb_filter(d_ob,"Exp");E-Filtra_Expressao ;E-Filtra Expressao;sembitmap;;;Lucida Bright;-11;&E-Filtra;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
if type("oDlgStatusBar")="B"
   oDlgStatusBar:Anchor:=14
endif

oBrwMvFor:Refresh()
]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,1042,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,78,698,184}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">3</property>
      <property name="font">
        <font name="Lucida Sans Unicode" width="0" height="-16" weight="400"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onPosChange">
      <![CDATA[oBrwMvFor:Refresh()]]>
    </method>
    <method name="onInit">
      <![CDATA[
DbSelectArea('_mvfor')
D_oB:Alias := '_mvfor'

D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:lDisableVScrollPos := .t.

hwg_TbFi(D_oB, 'Fornecedor;Eval(zBlkForn,mCodForC);P;@S20;20;N;')
hwg_TbFi(D_oB, 'Pr_Medio;Eval(zbPrMedio);P;999,999.99;10;N;')
hwg_TbFi(D_oB, 'Quant_Total;MQUANT;N;@E 9999,999.999; 12;;')
hwg_TbFi(D_oB, 'Valor_Total;MVALOR;N;@E 999,999,999.99;14;;')
hwg_TbFi(D_oB, 'Forn;MCODFORC;N;999999;  6;;')
//hwg_TbFi(D_oB, 'Preco Medio;(MVALOR/MQUANT);P;999999.99; 12;;')

D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"_mvfor",.F.,.T.,{||.T.} }
sHwgKeyEdit:= 61
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{410,0,483,47}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[]</property>
      <property name="Justify">[Right]</property>
      <property name="font">
        <font name="Arial" width="0" height="-37" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{7,301,699,170}</property>
      <property name="Name">[oBrwMvFor]</property>
      <property name="Anchor">7</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onInit">
      <![CDATA[DBSELECTAREA( '_mvfornf' ) 
oBrwMvFor:Alias := '_mvfornf'
oBrwMvFor:bColorSel:= RGB(3,23,133)
oBrwMvFor:tColorSel:= RGB(255,255,255)

hwg_TbFi(oBrwMvFor, 'Pr_Medio;Eval(zbPrMedio);P;999,999.99;10;N;')
hwg_TbFi(oBrwMvFor, 'Data;mData;D;99.99.9999;12;N;')
hwg_TbFi(oBrwMvFor, 'NF;mFNUM;N;999999999;10;N;')
hwg_TbFi(oBrwMvFor, 'Quant_Total;MQUANT;N;@E 9999,999.999; 12;;')
hwg_TbFi(oBrwMvFor, 'Valor_Total;MVALOR;N;@E 999,999,999.99;14;;')

oBrwMvFor:lFilter := .T.
oBrwMvFor:bFirst := {|| _mvfornf->( DBSEEK( _mvfor->(Str(mCodForC,6)), .F. ) ) } 
oBrwMvFor:bLast  := {|| _mvfornf->( DBSEEK( _mvfor->(Str(mCodForC,6)), .F., .T. ) ) }
oBrwMvFor:bWhile := {|| _mvfornf->mCodForC = _mvfor->mCodForC }

DbSelectArea( '_mvfor' )
]]>
    </method>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{714,77,311,393}</property>
      <property name="Name">[oBrwDatas]</property>
      <property name="Anchor">7</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onInit">
      <![CDATA[DBSELECTAREA( '_mvdt' ) 
oBrwDatas:Alias := '_mvdt'
oBrwDatas:bColorSel:= RGB(3,23,133)
oBrwDatas:tColorSel:= RGB(255,255,255)

hwg_TbFi(oBrwDatas, 'Data;mData;D;99.99.9999;12;N;')
hwg_TbFi(oBrwDatas, 'Pr_Medio;Eval(zbPrMedio);P;999,999.99;10;N;')
hwg_TbFi(oBrwDatas, 'Quant_Total;MQUANT;N;@E 9999,999.999; 12;;')
hwg_TbFi(oBrwDatas, 'Valor_Total;MVALOR;N;@E 999,999,999.99;14;;')

DbSelectArea('_mvfor')
]]>
    </method>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{1051,77,311,393}</property>
      <property name="Name">[oBrwSePvlu]</property>
      <property name="Anchor">7</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onInit">
      <![CDATA[DBSELECTAREA( 'se_pvluh' ) 
oBrwSePvlu:Alias := 'se_pvlu'
oBrwSePvlu:bColorSel:= RGB(3,23,133)
oBrwSePvlu:tColorSel:= RGB(255,255,255)

hwg_TbFi(oBrwSePvlu, 'Data;mData;D;99.99.9999;12;N;')
hwg_TbFi(oBrwSePvlu, 'PrMedAq;pVlu;N;999,999.99;10;S;')
hwg_TbFi(oBrwSePvlu, '*PrMedCst;pCustoVar;N;999,999.99;10;S;')
//hwg_TbFi(oBrwSePvlu, 'Ent_Dia;MQUANT_E;N;@E 9999,999.999; 12;;')
//hwg_TbFi(oBrwSePvlu, 'Sai_Dia;MQUANT_S;N;@E 9999,999.999; 12;;')
//hwg_TbFi(oBrwSePvlu, 'Saldo_Final;peAtual;N;@E 999,999,999.99;14;;')

DbSelectArea('_mvfor')
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{714,475,311,19}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[Para alterar precos historicos, maximize tela]</property>
      <property name="Justify">[Right]</property>
      <property name="Anchor">12</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{1050,56,311,19}</property>
      <property name="Name">[oLabel3]</property>
      <property name="Caption">[Precos Medios Aquisicao X Custo]</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{714,56,311,19}</property>
      <property name="Name">[oLabel4]</property>
      <property name="Caption">[Precos aquisicao por data]</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
</part>
